html {
    height: 100%;
    overflow: visible;
}

body  {
    margin: 0;
    font-family: "Varela";
    overflow: visible;
    height: 100%;
}

#app {
    position: relative;
    display: grid;
    grid-template-columns: min-content 1fr;
    grid-template-rows: 4em 50vh minmax(max-content ,calc(100vh - 4em - 50vh - 4em)) auto;
    height: 100%;
}

.hero {
    
    grid-column: 2 / span 2;
}

.progress.negative {
    transform: scaleX(-1);
}

.page {
    position: relative;
    flex-direction: column;
    align-items: center;
    grid-column: 2 / span 2;
    grid-row: auto / span 2;
    overflow: hidden;
    background-color: #e3e3e3;

    .hero {

        align-self: stretch;
        position: relative;
        padding: 40px max(15px, calc(25% - 300px));
        form {
            position: relative;
            top: 50px;
        }
    } 
}

section {
    grid-column: 2 / span 1;
    grid-row: auto / span 1;
}

main {
    width: 100%;
    flex: 1 0 auto;
    gap: 50px;
    padding: 50px;
    position: relative;
    padding-left: max(15px, calc(25% - 300px));
    padding-right: max(15px, calc(25% - 300px));

    .select {
        margin: 0 0;
    }
    .buttons {
        margin: 25px 0;
        .button {
            margin: 0 0 0 0 !important;
        }
    }

    h1 {
        display: flex;
        flex-direction: column;

        .internal-id {
            font-size: 12px; 
            color: #00000055;
        }

        input.input {
            font-size: 32px;
        }

        margin-top: 15px;
        margin-bottom: 10px;
    }    
    p {
        margin-bottom: 15px;
    }

}

phi-toggle-sidebar i {
    margin-top: 10px;
}

phi-toggle-sidebar i,
phi-toggle-sidebar i::after,
phi-toggle-sidebar i::before {
    position: absolute;
    display: block;
    width: 32px;
    border-radius: 2px;
    height: 3px;
    background-color: #000;
    transition: transform 0.3s;
}

phi-toggle-sidebar i::after {
    content: "";
    display: block;
    bottom: -10px;
}

phi-toggle-sidebar.collapse i::after {
    transform: translate3d(-8px, 0, 0) rotate(-45deg) scale(0.7, 1)
}

phi-toggle-sidebar i::before {
    content: "";
    display: block;
    top: -10px;
}

phi-toggle-sidebar.collapse i::before {
    transform: translate3d(-8px, 0, 0) rotate(-45deg) scale(0.7, 1)
}

.phi-document-content {
    padding: 8px;

}

.content-preview {
    padding: 8px;
    background-color: #fff;
    border-radius: 2px;
    border: 1px solid #00000033;
}

phi-landing .hero {
    padding: 24px;
    color: #fff;
    background: url("/always-hope.jpg"), #888;
    background-blend-mode: lighten;
    background-position: center center;
    background-size: cover;
    position: relative;
}

phi-landing .hero h1 {
    color: rgba(0, 0, 0, 0.65);
    font-size: 48px;
    text-align: center;
    padding-top: 10vh;
    padding-bottom: 15vh;
}

phi-landing .hero p {
    bottom: 0;
    right: 0;
    position: absolute;
    margin: 15px;
    border-radius: 2px;
    color: rgba(0, 0, 0, 0.65);
    padding: 3px 10px;
    background: rgba(256, 256, 256, 0.65);
}

phi-landing .how {
    padding: 24px;
    background: rgba(92, 92, 92, 1);
    color: #fff;
}

phi-landing .what {
    padding: 18px;
    background: #eee;
    color: rgba(0, 0, 0, 0.65);
}

footer {
    color: #ccc;
    position: relative;
    background-color: #222;
    grid-column: 1 / span 2;
    grid-row-end: -1;
    text-align: center;
    align-self: stretch;
    padding: 15px 15px 25px 15px;

    a {
        color: #ccc;
    }
    a:hover {
        color: #fff;
    }
}

phi-not-found {
    display: block;
    padding: 15px;
    text-align: center;
}

phi-obligations,
phi-obligations-detail,
phi-documents,
phi-documents-detail,
phi-agreements,
phi-agreements-detail,
phi-agreement-types,
phi-agreement-types-detail
{
    display: block;
}

phi-obligations > h1,
phi-obligations-detail > h1,
phi-documents > h1,
phi-documents-detail > h1,
phi-agreements > h1,
phi-agreements-detail > h1,
phi-agreement-types > h1,
phi-agreement-types-detail > h1
{
    padding: 25px 8px 6px 8px;
    margin: 0;
    background-color: #00000011;
    border-bottom: 1px solid #00000011;
    font-size: 200%;
    font-weight: 600;
}

.select {
    margin: 8px 10px;
    position: relative;
}

[contenteditable=true]:focus {
    outline: auto;
}

div.actions {
    padding: 8px 10px;
    display: flex;
    justify-content: flex-end;
}

div.actions a {
    padding: 5px 10px;
    background-color: #2081ff;
    border-radius: 2px;
    color: #fff;
    text-decoration: none;
    border: 1px solid #00000033;
}

.dropdown-menu button {
    border: none;
    border-radius: 0;
    background-color: #fff;
    padding: 8px 10px;
    margin: 3px 0;
}
